# Q. What is this file?
# A. This file contains options which allow you to configure your multiworld experience while allowing
#    others to play how they want as well.
#
# Q. How do I use it?
# A. The options in this file are weighted. This means the higher number you assign to a value, the
#    more chances you have for that option to be chosen. For example, an option like this:
#
#    map_shuffle:
#      on: 5
#      off: 15
#
#    Means you have 5 chances for map shuffle to occur, and 15 chances for map shuffle to be turned
#    off.
#
# Q. I've never seen a file like this before. What characters am I allowed to use?
# A. This is a .yaml file. You are allowed to use most characters.
#    To test if your yaml is valid or not, you can use this website:
#        http://www.yamllint.com/
#    You can also verify that your MultiworldGG options are valid at this site:
#        https://multiworld.gg/check

# Your name in-game, limited to 16 characters.
#     {player} will be replaced with the player's slot number.
#     {PLAYER} will be replaced with the player's slot number, if that slot number is greater than 1.
#     {number} will be replaced with the counter value of the name.
#     {NUMBER} will be replaced with the counter value of the name, if the counter value is greater than 1.
name: Player{number}

# Used to describe your yaml. Useful if you have multiple files.
description: Default Final Fantasy V Career Day Template

game: Final Fantasy V Career Day
requires:
  version: 0.7.215 # Version of MWGG required for this yaml to work as expected.

Final Fantasy V Career Day:
  ################
  # Game Options #
  ################
  progression_balancing:
    # A system that can move progression earlier, to try and prevent the player from getting stuck and bored early.
    # 
    # A lower setting means more getting stuck. A higher setting means less getting stuck.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 99
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-99: 0 # random value between 0 and 99
    disabled: 0 # equivalent to 0
    normal: 50 # equivalent to 50
    extreme: 0 # equivalent to 99

  accessibility:
    # Set rules for reachability of your items/locations.
    # 
    # **Full:** ensure everything can be reached and acquired.
    # 
    # **Minimal:** ensure what is needed to reach your goal can be acquired.
    full: 50
    minimal: 0

  job_palettes:
    # When enabled, randomizes palettes for each characters' jobs
    'false': 50
    'true': 0

  four_job:
    # When enabled, enables four job mode. No crystals are placed in the world, and the player starts with 4 crystals.
    # Players are disallowed from leaving the menu if every character doesnt have a unique job.
    # 
    # For ability settings only "Don't Place" or "Only for Available Jobs" will work with four job mode.
    # If neither is set it defaults to don't place.
    'false': 50
    'true': 0

  remove_flashes:
    # When enabled, optional patches for removing flashes (notably Neo ExDeath) are applied
    'false': 0
    'true': 50

  world_lock:
    # Determines how many worlds are available from the start.
    # 1: The first world is available. Adamantite unlocks World 2. Defeating Exdeath in World 2 unlocks World 3 via Anti Barrier and Bracelet.
    # 2: Worlds 1 and 2 are available. Defeating Exdeath in World 2 unlocks World 3 via Anti Barrier and Bracelet.
    # 3: All worlds are available immediately.
    world_1: 50
    world_2: 0
    world_3: 0

  progression_checks:
    # Determines where progression checks are in the game for the multiworld.
    # 1: All boss locations are valid checks for progression
    # 2: All bosses, all events, & all chests are valid checks for progression
    bosses: 50
    all: 0

  trapped_chests:
    # When enabled, 30 trapped chests will be spread across the world.
    'false': 50
    'true': 0

  trapped_chests_settings:
    # Local High Value: These chests will only give high value items local to the player's world.
    # Local High Value and Progression: These chests will give high value items local to the player's world or local progression.
    # Any: Any items in the multiworld can appear in the chests.
    # 
    # If progression checks are set to bosses then options 2 and 3 will not add progression to trapped chests.
    # If set to "Any" gil cannot land in trapped chests, due to how the world is built gil landing in trapped locations
    # will result in one fewer trapped chests per.
    local_high_value: 50
    local_high_value_and_progression: 0
    any: 0

  jobs_included:
    # Sets which jobs and job groups for abilities are allowed to appear in the world.
    # 
    # Possible values are:
    # "Knight"
    # "Monk"
    # "Thief"
    # "Dragoon"
    # "Ninja"
    # "Samurai"
    # "Berserker"
    # "Hunter"
    # "Mystic Knight"
    # "White Mage"
    # "Black Mage"
    # "Time Mage"
    # "Summoner"
    # "Blue Mage"
    # "Red Mage"
    # "Trainer"
    # "Chemist"
    # "Geomancer"
    # "Bard"
    # "Dancer"
    # "Mimic"
    # "Freelancer"
    ['Hunter', 'Thief', 'Berserker', 'White Mage', 'Ninja', 'Knight', 'Chemist', 'Dragoon', 'Trainer', 'Summoner', 'Dancer', 'Time Mage', 'Bard', 'Mimic', 'Black Mage', 'Mystic Knight', 'Geomancer', 'Samurai', 'Freelancer', 'Red Mage', 'Blue Mage', 'Monk']

  random_job_count:
    # Set the range for jobs available in the world. Lower numbers will likely create harder seeds and vice versa.
    # Be wary of setting this too low, as it could create some extreme difficulty depending on starting job.
    # Will not exceed available jobs from the "Job and Groups in World" list.
    # This setting only applies when "Four Job Mode" is off.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 4
    # Maximum value is 22
    22: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-4-22: 0 # random value between 4 and 22

  ability_settings:
    # All job abilities from "Job and Groups in World" list are placed by default.
    # 
    # Only for Available Jobs: Places only abilities for whichever jobs crystals are in the world
    # (controlled by the Jobs Available and "Job and Groups in World" setting or "Four Job Mode").
    # 
    # Available Jobs Plus Extra: Places abilities for whichever job crystals are in the world plus a small amount extra, 
    # controlled by the "Job Group Abilities Number" setting.
    # 
    # Random by Job: Places random abilities in the world but keeps them grouped by jobs
    # (for instance if Time Magic Lvl 1 is in the world so will 2-6). The number of random job groups is controlled by the setting 
    # "Job Group Abilities Number" setting.
    # 
    # Random All Abilities: Places abilities randomly with no regard for job groupings, but doesn't place all.
    # 
    # Don't Place: Places no abilties in the item world.
    # 
    # Random Only for Unavailable Jobs: Includes some number of job ability groups controlled by "Job Group Abilities Number" 
    # while excluding jobs excluded via "Job and Groups in World" and included via "Job Crystals Available".
    # 
    # If a setting other than "Don't Place" or "Only for Available Jobs" is selected with "Four Job Mode" then this will default to "Don't Place".
    place_all: 50
    only_for_available_jobs: 0
    available_jobs_plus_extra: 0
    random_by_job: 0
    random_all_abilities: 0
    dont_place: 0
    random_only_for_unavailable_jobs: 0

  job_group_abilities_number:
    # Sets how many extra job groups worth of abilities will be in the world if the Ability Setting "Available Jobs Plus Extra" is selected. 
    # Sets how many job groups worth of abilities will be in the world if the Ability Setting "Random by Job" or "Random Only for Unavailable Jobs" is selected.  
    # 
    # If this number plus "Job Crystals Available" exceeds items in "Job and Groups in World" then it will place all from "Job and Groups in World" list.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 4
    # Maximum value is 22
    22: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-4-22: 0 # random value between 4 and 22

  only_usable_magic:
    # When enabled, only includes magic for jobs and ability groups that exist in the world.
    # 
    # If "Random All Abilities" is selected for Ability Settings some magic might still be unusable.
    # This will go off the jobs and ability groups in the world not what individual abilities might exist in the world.
    'false': 0
    'true': 50

  disable_tier_1_magic:
    # When enabled, removes level 1 and 2 magic from the game. 
    # 
    # This applies to Black, White, Time, and Red Mages, Summoner, and Mystic Knight.
    # This will not affect starting magic pool, only what will be placed in the world.
    'false': 50
    'true': 0

  disable_tier_2_magic:
    # When enabled, removes level 3 and 4 magic from the game. 
    # 
    # This applies to Black, White, Time, and Red Mages, Summoner, and Mystic Knight.
    'false': 50
    'true': 0

  disable_tier_3_magic:
    # When enabled, removes level 5 and 6 magic from the game. 
    # 
    # This applies to Black, White, Time, and Red Mages, Summoner, and Mystic Knight.
    'false': 50
    'true': 0

  kuzar_progression:
    # When enabled, allows Kuzar to have progression items. 
    # 
    # Items in Kuzar logically require all 4 tablets.
    'false': 50
    'true': 0

  rift_and_void_progression:
    # When enabled, allows areas within the Rift and Void to have progression.
    'false': 50
    'true': 0

  lenna_name:
    # Enter a name for Lenna. 
    # Anything over 6 characters will be truncated. Alphanumeric only.
    Lenna: 50

  galuf_name:
    # Enter a name for Galuf. 
    # Anything over 6 characters will be truncated. Alphanumeric only.
    Galuf: 50

  krile_name:
    # Enter a name for Krile. 
    # Anything over 6 characters will be truncated. Alphanumeric only.
    Krile: 50

  faris_name:
    # Enter a name for Faris. 
    # Anything over 6 characters will be truncated. Alphanumeric only.
    Faris: 50

  piano_percent:
    # For the memes! Alternatively send goal completed when all pianos are played.
    'false': 50
    'true': 0

  ###########################
  # Item & Location Options #
  ###########################
  local_items:
    # Forces these items to be in their native world.
    []

  non_local_items:
    # Forces these items to be outside their native world.
    []

  start_inventory:
    # Start with the specified amount of these items. Example: "Bomb: 1"
    {}

  start_hints:
    # Start with these item's locations prefilled into the ``!hint`` command.
    []

  start_location_hints:
    # Start with these locations and their item prefilled into the ``!hint`` command.
    []

  exclude_locations:
    # Prevent these locations from having an important item.
    []

  priority_locations:
    # Prevent these locations from having an unimportant item.
    []

  item_links:
    # Share part of your item pool with other players.
    []

  plando_items:
    # Generic items plando.
    []
